﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid.Grouping;


namespace DataGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.gridGroupingControl1.ShowGroupDropArea = true;
            this.gridGroupingControl1.AllowProportionalColumnSizing = true;

            #region DataSource
            DataCollection dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 6; i++)
            {
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data"));
                r = rand.Next(100);
            }
            this.gridGroupingControl1.DataSource = dataSource;
            #endregion

            this.gridGroupingControl1.TableControlCellClick += new Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlCellClickEventHandler(gridGroupingControl1_TableControlCellClick);
        }
        void gridGroupingControl1_TableControlCellClick(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlCellClickEventArgs e)
        {
            GridTableCellStyleInfo style = e.TableControl.GetTableViewStyleInfo(e.Inner.RowIndex, e.Inner.ColIndex);

            if (style != null && style.TableCellIdentity != null && style.TableCellIdentity.DisplayElement != null && style.TableCellIdentity.DisplayElement.GetRecord() != null && style.TableCellIdentity.Column != null)
            {
                if (style.TableCellIdentity.Column.Name == "Description")
                {
                    MessageBox.Show("DESCRIPTION");
                }
                else if (style.TableCellIdentity.Column.Name == "CategoryID")
                {
                    MessageBox.Show("Cust_ID");
                }
            }
        }
    }
}
